<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

/////////////////////////////////////////////////////////////////////////////
only_reg();
$set['title']='Авто ответчик';
include_once 'sys/inc/thead.php';
title();

if (isset($_POST['save'])){
if (isset($_POST['otvet']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['otvet']))))<=200)
////////////ПРОВЕРКА и ЗАЩИТА ОТ SQL inj///////////////
if (preg_match('#[^]#ui',$_POST['otvet']))$err[]='В поле  используются запрещенные символы';
else {
$user['otvet']=esc(stripcslashes(htmlspecialchars($_POST['otvet'])));
mysql_query("UPDATE `user` SET `otvet` = '$user[otvet][red] 
(Ето сообщения отправлено авто ответчиком!)[/red]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err[]='Слишком длинное сообщение!';

if (isset($_POST['mail_avto']) && $_POST['mail_avto']==1){
$user['mail_avto']=1; 
mysql_query("UPDATE `user` SET `mail_avto` = '1' WHERE `id` = '$user[id]' LIMIT 1");
} 
if (isset($_POST['mail_avto']) && $_POST['mail_avto']==0){ $user['mail_avto']=0; 
mysql_query("UPDATE `user` SET `mail_avto` = '0' WHERE `id` = '$user[id]' LIMIT 1"); 
}

if (!isset($err))msg('Ваш статус успешно изменён');

}
err();
aut();
echo '<div class="gend">- Текст не должен содержать мат и рекламу!</a></div>';
echo "<a href='/otvet.php?id=$user[id]&faq=1'>Что это?<br/></a>";
if(isset($_GET['faq']) && $_GET['faq']=='1'){
echo "Эта настройка служит для авто ответа на входящие сообщения если вас нет на сайте! Если вы включили авто ответчик то когда вам пишут сообщения и вы в офлайне им автоматически приходит сообщения которое вы ввели в авто ответчик!";

}
echo "<form method='post' action='?'>\n";


echo "Введите текст авто ответчика:<br />\n<input type='text' name='otvet' value='$user[otvet]' maxlength='83' /><br />\n";

echo "Включить авто ответчик:<br /> <input name='mail_avto' type='radio' ".($user['mail_avto']==1?' checked="checked"':null)." value='1' />Да";

echo "<input name='mail_avto' type='radio' ".($user['mail_avto']==0?' checked="checked"':null)." value='0' />Нет<br />";


echo "<input type='submit' name='save' value='Сохранить' />\n";

echo "</form>\n";
echo "</div>";
include_once 'sys/inc/tfoot.php';
?>